Subject: Re.: Friend...ship

From: "Matt" <[email-masked]>
Date: Mon, 30 Oct 2006 15:20:40 +0300

Hi,
Hope I am not writing to wrong address. Ib am naice, pretty looking
girl. I ama planning on visiting yoaur town this month. Can 
wae meet each other in person? Message me back at [email-masked]